libpod-markdown-perl_3.005000-1_all.deb


Advertisement

Description

libpod-markdown-perl - module to convert POD to the Markdown file format

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpod-markdown-perl
Package version 3.005000
Package release 1
Package architecture all
Package type deb
Installed size 77 B
Download size 27.24 KB
Official Mirror archive.ubuntu.com
Pod::Markdown is a Perl module that parses Plain Old Documentation (POD) and
converts it into the Markdown text format. It subclasses Pod::Parser, so it
supports all of its commands, too.
Markdown is a markup language to convert structured text into (X)HTML. Its
main design goal is to make the input text as readable as possible. For this,
the syntax is highly inspired by the format of plain text email. Markdown
supports features like headers, *emphasis*, code blocks, blockquotes and
links. For maximum flexibility, it also allows embedding HTML tags, both
within paragraphs (eg. <span>), and at block level (<div>, <table>).

Alternatives

Package Version Architecture Repository
libpod-markdown-perl_3.005000-1_all.deb 3.005000 all Ubuntu Universe
libpod-markdown-perl - - -

Requires

Name Value
libpod-simple-perl >= 3.27
perl >= 5.18.0
perl -

Download

Type URL
Binary Package libpod-markdown-perl_3.005000-1_all.deb
Source Package libpod-markdown-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpod-markdown-perl deb package:
    # sudo apt-get install libpod-markdown-perl

Files

Path
/usr/bin/pod2markdown
/usr/share/doc/libpod-markdown-perl/changelog.Debian.gz
/usr/share/doc/libpod-markdown-perl/copyright
/usr/share/man/man1/pod2markdown.1p.gz
/usr/share/man/man3/Pod::Markdown.3pm.gz
/usr/share/man/man3/Pod::Perldoc::ToMarkdown.3pm.gz
/usr/share/perl5/Pod/Markdown.pm
/usr/share/perl5/Pod/Perldoc/ToMarkdown.pm

Changelog

2016-04-18 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (3.005000-1) unstable; urgency=medium
[ gregor herrmann ]
* Rename autopkgtest configuration file(s) as per new pkg-perl-
autopkgtest schema.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ Florian Schlichting ]
* Import upstream version 3.005000
* Declare compliance with Debian Policy 3.9.7
* Update years of packaging copyright
2015-10-21 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (3.003000-1) unstable; urgency=medium
* Import upstream version 3.003000
* Bump Pod::Simple (build-)dependency to 3.27 for keep_encoding fix
2015-09-04 - gregor herrmann <gregoa@debian.org>
libpod-markdown-perl (3.002000-2) unstable; urgency=medium
* Team upload.
* autopkgtest:
- Add debian/patches/autopkgtest.patch to test installed script
when run under autopkgtest.
- Add debian/tests/pkg-perl/test-files.
The tests need more files than t/.
(Closes: #798046)
* Add build-dependency on libio-stringy-perl.
Optionally used in testsuite.
* Bump debhelper compatibility level to 9.
* Update years of packaging copyright.
2015-08-21 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (3.002000-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Florian Schlichting ]
* Add debian/upstream/metadata
* Import upstream version 3.002000
* Update/amend upstream copyright and contact
* Increase Pod::Simple dependency to 3.26 for detect_encoding()
* Add Recommends / BDI on libhtml-parser-perl for human-readable HTML entities
* Declare compliance with Debian Policy 3.9.6
* Mark package autopkgtest-able
2014-07-06 - gregor herrmann <gregoa@debian.org>
libpod-markdown-perl (2.002000-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update years of packaging copyright.
2014-04-23 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (2.001000-1) unstable; urgency=medium
* Import Upstream version 2.001000
2014-03-05 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (2.000000-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Florian Schlichting ]
* Import Upstream version 2.000000
* Switch dependencies from Pod::Parser 1.51 to Pod::Simple 3.14
* Bump years of packaging copyright
2013-11-24 - Florian Schlichting <fsfs@debian.org>
libpod-markdown-perl (1.500000-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 1.500000
* Email change: Florian Schlichting -> fsfs@debian.org
* Bump years of packaging copyright
* Increase dependency on Perl to 5.15.8 for Pod::Parser 1.51
* Declare compliance with Debian Policy 3.9.5
* No longer set AUTOMATED_TESTING, obsoleted by code change
2012-11-27 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libpod-markdown-perl (1.322000-1) unstable; urgency=low
[ Nathan Handler ]
* Email change: Nathan Handler -> nhandler@debian.org.
[ Florian Schlichting ]
* Imported Upstream version 1.322000.
2012-10-27 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libpod-markdown-perl (1.321000-1) unstable; urgency=low
* Imported Upstream version 1.321000.
* Bumped Standards-Version to 3.9.4 (no change).
* Set AUTOMATED_TESTING=1 to (re-)enable report-prereqs.t.

See Also

Package Description
libpod-plainer-perl_1.04-1_all.deb Perl extension for converting Pod to old-style Pod
libpod-pom-perl_2.01-1_all.deb module providing a Pod Object Model
libpod-pom-view-restructured-perl_0.03-1_all.deb view for Pod::POM that outputs reStructuredText
libpod-projectdocs-perl_0.50-1_all.deb module to generate CPAN like project documents from POD
libpod-pseudopod-perl_0.18-2_all.deb framework for parsing PseudoPod
libpod-readme-perl_1.1.2-2_all.deb Perl module to convert POD to README file
libpod-sax-perl_0.14-5_all.deb Perl module for generating SAX events from POD
libpod-simple-perl_3.35-1_all.deb framework for parsing files in the Pod markup language
libpod-simple-wiki-perl_0.20-1_all.deb Perl class for creating Pod to Wiki filters
libpod-spell-perl_1.20-1_all.deb formatter to easily check the spelling of POD
libpod-strip-perl_1.02-2_all.deb remove POD documentation from Perl code
libpod-tests-perl_1.19-4_all.deb Perl extension for excts embedded tests and code examples from POD
libpod-tree-perl_1.25-1_all.deb module for creating a static syntax tree for a POD
libpod-weaver-perl_4.015-1_all.deb Perl module to weave together a Pod document from an outline
libpod-weaver-plugin-ensureuniquesections-perl_0.163250-1_all.deb Pod::Weaver plugin to check for duplicate Pod section headers
Advertisement
Advertisement